;Adobe Helvetica normal
;-------------------------------------------------
;	Code for the best assembler: The Netwide Assembler: NASM
;	Copyright (C) 2004 by Sebastian Beck; sebastian.bw@freenet.de

;	Wenn Sie eine Spende machen wollen, fragen Sie mich ber E-Mail
;	nach meiner Bankverbindung.

;	If you want to make a donation, please question me by e-mail for
;	my banking connection.

;-------------------------------------------------
;%include "./INC/STEUERUNG.inc"

;section .bss
;buf			resb	25
;buf1			resb	28
;buf2			resb	28
;-------------------------------------------------
STEUERUNG:

section .text

	mov	eax,3
	mov	ebx,[datnum]
	mov	ecx,buf
	mov	edx,1
	int	80h				;lese 1 Bytes ein
	cmp	eax,1
	jz	.a
	call	error1
	jmp	Ende
.a:
	mov	ecx,7				;7 dwords
	mov	ebx,buf1			;von	.buf1
	mov	eax,0				;mit 0
.a1:
	mov	[ebx],eax			;loeschen
	add	ebx,4
	loop	.a1

	mov	eax,54
	mov	ebx,0
	mov	ecx,0x5401		;get terminal attributes
	mov	edx,buf1
	int	80h
	cmp	eax,0
	jz	.a5
	call	error1
	jmp	Ende
.a5:
	mov	ebx,buf1
	mov	ebp,buf2
	mov	ecx,7
.a6:
	mov	eax,[ebx]			;Kopiere buf1 -> buf2
	add	ebx,4
	mov	[ebp],eax
	add	ebp,4
	loop	.a6
	
	and	dword[buf1+12],11111111111111111111111111110101b
	or	dword[buf1+12],00000000000000000100000000000000b
;	or	byte[buf1+17],00100000b
	and	byte[buf1+17],11011111b

	mov	eax,54
	mov	ebx,0
	mov	ecx,0x5402		;set terminal attributes
	mov	edx,buf1
	int	80h
	cmp	eax,0
	jz	.b
	call	error1
	jmp	Ende

.b:
	mov	eax,3
	mov	ebx,0
	mov	ecx,buf+1
	mov	edx,1
	int	80h				;lese 1 Bytes von der Tastatur

	mov	al,[buf+1]
	call	dokey
	cmp	byte[buf+1],10		;ist = return ?
	jnz	.b				;nein -> .b
	
	mov	eax,54			;Restore terminal attributes
	mov	ebx,0
	mov	ecx,0x5402		;set terminal attributes
	mov	edx,buf2
	int	80h
	cmp	eax,0
	jz	.ende
	call	error1
	jmp	Ende

.ende:
	mov	eax,0
	mov	al,[buf]			;naechster Befehl in al
	ret


