;Adobe Helvetica normal 11
;-------------------------------------------------
;Berechnet den naechsten Punkt einer Linie
;-------------------------------------------------

;	Code for the best assembler: The Netwide Assembler: NASM
;	Copyright (C) 2004 by Sebastian Beck; sebastian.bw@freenet.de

;	Wenn Sie eine Spende machen wollen, fragen Sie mich ber E-Mail
;	nach meiner Bankverbindung.

;	If you want to make a donation, please question me by e-mail for
;	my banking connection.

;-------------------------------------------------
;%include "./INC/linie.inc"
;%include "./INC/div64.inc"

;Deltax		dd	0		;Schritte X
;Deltay		dd	0		;Schritte Y
;Deltaz		dd	0		;Schritte Z
;Linex		dd	0		;Aktueller X-Wert der Linie
;Liney		dd	0		;Aktueller Y-Wert der Linie
;Linez		dd	0		;Aktueller Z-Wert der Linie
;Bewegung		db	0		;siehe outnc

;Linedev		db	0		;Liniendefiniton
;Bit	2 1 0	
;	x x 0		nach	rechts	+
;	x x 1		nach links		-
;	x 0 x		nach	hinten	+
;	x 1 x		nach	vorne	-
;	0 x x		nach	oben		+
;	1 x x		nach	unten		-
;-------------------------------------------------

linie:

section .text
	pushad
	
	cmp	dword[Deltax],0
	ja	.a
	cmp	dword[Deltay],0
	ja	.a
	cmp	dword[Deltaz],0
	ja	.a
	jmp	.ende
.a:
	mov	eax,[Deltax]
	cmp	eax,[Deltay]
	jb	.a1
	cmp	eax,[Deltaz]			;dX > dY
	jae	.b				;dX >= dZ u dY -> b
	jmp	.d				;dZ > dX > dY-> d
.a1:
	mov	eax,[Deltay]
	cmp	eax,[Deltaz]			;dY > dX
	jae	.a2				;dY >= dZ u dX -> c
	jmp	.d				;dZ > dY > dX-> d
.a2:
	jmp	.c
;-------------------------------------------------DeltaX
.b:
	inc	dword[Linex]		;dX ist am groessten
	mov	edx,0
	mov	eax,[Deltay]
	mul	dword[Linex]
	mov	[Wert],eax
	mov	[Wert+4],edx
	mov	eax,[Deltax]
	mov	[Teiler],eax
	mov	dword[Teiler+4],0
	call	div64
	mov	ebx,[Ergebnis]		;Liney berechnet

	mov	edx,0
	mov	eax,[Deltaz]
	mul	dword[Linex]
	mov	[Wert],eax
	mov	[Wert+4],edx
	mov	eax,[Deltax]
	mov	[Teiler],eax
	mov	dword[Teiler+4],0
	call	div64
	mov	eax,[Ergebnis]		;Linez berechnet

	test	byte[Linedev],1
	jz	.b1				;0=X+1
	mov	byte[Bewegung],1	;X-1
	jmp	.b2
.b1:
	mov	byte[Bewegung],2	;X+1
.b2:
	cmp	ebx,[Liney]
	jz	.b4
	inc	dword[Liney]
	test	byte[Linedev],2
	jz	.b3				;0=Y+1
	or	byte[Bewegung],4	;Y-1
	jmp	.b4
.b3:
	or	byte[Bewegung],8	;Y+1
.b4:
	cmp	eax,[Linez]
	jz	.b6
	inc	dword[Linez]
	test	byte[Linedev],4
	jz	.b5				;0=Z+1
	or	byte[Bewegung],32	;Z-1
	jmp	.b6
.b5:
	or	byte[Bewegung],16	;Z+1
.b6:
	jmp	.ende

;-------------------------------------------------DeltaY
.c:
	inc	dword[Liney]		;dY ist am groessten
	mov	edx,0
	mov	eax,[Deltax]
	mul	dword[Liney]
	mov	[Wert],eax
	mov	[Wert+4],edx
	mov	eax,[Deltay]
	mov	[Teiler],eax
	mov	dword[Teiler+4],0
	call	div64
	mov	ebx,[Ergebnis]		;Linex berechnet

	mov	edx,0
	mov	eax,[Deltaz]
	mul	dword[Liney]
	mov	[Wert],eax
	mov	[Wert+4],edx
	mov	eax,[Deltay]
	mov	[Teiler],eax
	mov	dword[Teiler+4],0
	call	div64
	mov	eax,[Ergebnis]		;Linez berechnet

	test	byte[Linedev],2
	jz	.c1				;0=Y+1
	mov	byte[Bewegung],4	;Y-1
	jmp	.c2
.c1:
	mov	byte[Bewegung],8	;Y+1
.c2:
	cmp	ebx,[Linex]
	jz	.c4
	inc	dword[Linex]
	test	byte[Linedev],1
	jz	.c3				;0=X+1
	or	byte[Bewegung],1	;X-1
	jmp	.c4
.c3:
	or	byte[Bewegung],2	;X+1
.c4:
	cmp	eax,[Linez]
	jz	.c6
	inc	dword[Linez]
	test	byte[Linedev],4
	jz	.c5				;0=Z+1
	or	byte[Bewegung],32	;Z-1
	jmp	.c6
.c5:
	or	byte[Bewegung],16	;Z+1
.c6:
	jmp	.ende

;-------------------------------------------------DeltaZ
.d:
	inc	dword[Linez]		;dZ ist am groessten
	mov	edx,0
	mov	eax,[Deltax]
	mul	dword[Linez]
	mov	[Wert],eax
	mov	[Wert+4],edx
	mov	eax,[Deltaz]
	mov	[Teiler],eax
	mov	dword[Teiler+4],0
	call	div64
	mov	ebx,[Ergebnis]		;Linex berechnet

	mov	edx,0
	mov	eax,[Deltay]
	mul	dword[Linez]
	mov	[Wert],eax
	mov	[Wert+4],edx
	mov	eax,[Deltaz]
	mov	[Teiler],eax
	mov	dword[Teiler+4],0
	call	div64
	mov	eax,[Ergebnis]		;Liney berechnet

	test	byte[Linedev],4
	jz	.d1				;0=Z+1
	mov	byte[Bewegung],32	;Z-1
	jmp	.d2
.d1:
	mov	byte[Bewegung],16	;Z+1
.d2:
	cmp	ebx,[Linex]
	jz	.d4
	inc	dword[Linex]
	test	byte[Linedev],1
	jz	.d3				;0=X+1
	or	byte[Bewegung],1	;X-1
	jmp	.d4
.d3:
	or	byte[Bewegung],2	;X+1
.d4:
	cmp	eax,[Liney]
	jz	.d6
	inc	dword[Liney]
	test	byte[Linedev],2
	jz	.d5				;0=Y+1
	or	byte[Bewegung],4	;Y-1
	jmp	.d6
.d5:
	or	byte[Bewegung],8	;Y+1
.d6:
;-------------------------------------------------

.ende:
	popad
	ret
	