;Adobe Helvetica normal
;-------------------------------------------------
;	Code for the best assembler: The Netwide Assembler: NASM
;	Copyright (C) 2004 by Sebastian Beck; sebastian.bw@freenet.de

;	Wenn Sie eine Spende machen wollen, fragen Sie mich ber E-Mail
;	nach meiner Bankverbindung.

;	If you want to make a donation, please question me by e-mail for
;	my banking connection.

;-------------------------------------------------
;Bereitet das System vor.
;-------------------------------------------------
;%include "./INC/makesys.inc"
;%include "./INC/warte.inc"

;datnum		dd	0		;Dateinummer
;saveint		db	0		;Maskregister sichern
;datname		db	'nc.tmp',0	;Dateiname
; priority	dd	0			;max priority
; t1		db	' Das System wird jetzt gesperrt !',10,\
; 			' Haben Sie alles Abgespeichert, fals das System sich aufhaengt ?',10,\
; 			' Sie koennen das Fraesprogramm waerend der Arbeit mit der Taste "B" abbrechen.',10,\
; 			' Jetzt Starten -> RETURN.',10,0
; lt1		equ	$-t1
;-------------------------------------------------

makesys:

section .text
	mov	eax,101			;ioperm
	mov	ebx,$37A			;start port / Parallelport
	mov	ecx,1				;1port lang
	mov	edx,1				;erlauben
	int	$80
	cmp	eax,0
	jz	.a
	call	error1
	jmp	ende
.a:
	mov	eax,101			;ioperm
	mov	ebx,$40			;start port / Timer fuer Leseverzoegerung
	mov	ecx,1				;1port lang
	mov	edx,1				;erlauben
	int	$80
	cmp	eax,0
	jz	.a1
	call	error1
	jmp	ende
.a1:
	mov	eax,101			;ioperm
	mov	ebx,$60			;start port / Tastatur
	mov	ecx,1				;1port lang
	mov	edx,1				;erlauben
	int	$80
	cmp	eax,0
	jz	.a3
	call	error1
	jmp	ende
.a3:
	mov	eax,5				;oeffne Datei
	mov	ebx,datname		;nc.tmp
	mov	ecx,2				;read/write
	int	$80
	cmp	eax,0
	jge	.a4
	call	error1
	jmp	ende
.a4:
	mov	[datnum],eax		;eax = Dateinummer
	
	mov	eax,5				;oeffne Datei
	mov	ebx,nameschleifdat	;s.tmp
	mov	ecx,0				;readonly
	int	$80
	cmp	eax,0
	jge	.a04
	call	error1
	jmp	ende
.a04:
	mov	[schleifdat],eax		;eax = Dateinummer

	mov	eax,159			;SCHED_GET_PRIORITY_MAX
	mov	ebx,1				;policy FIFO
	int	$80
	cmp	eax,0
	jg	.a5
	call	error1
	jmp	ende
.a5:
	mov	[priority],eax
	
	mov	eax,4				;schreibe
	mov	ebx,1				;auf stdout
	mov	ecx,t1			;text
	mov	edx,lt1			;bytes lang
	int	$80
	
	call	warte
	
	mov	eax,156			;SCHED_SETSCHEDULAR 
	mov	ebx,0				;pid = root
	mov	ecx,1				;policy = SCHED_FIFO
	mov	edx,priority			;*priority
	int	$80
	cmp	eax,0
	jz	.a6
	call	error1
	jmp	ende
.a6:
	ret
